## org.codehaus.plexus.util.xml.pull
Class XmlPullParserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.plexus.util.xml.pull.XmlPullParserException

All Implemented Interfaces:
  Serializable

    public class XmlPullParserException

extends Exception

This exception is thrown to signal XML Pull Parser related faults.

Author:
  Aleksander Slominski
See Also:
  Serialized Form

Field Summary
`protected int` `column`
`protected Throwable` `detail`
`protected int` `row`

Constructor Summary
`XmlPullParserException(String s)`
`XmlPullParserException(String msg, XmlPullParser parser, Throwable chain)`

Method Summary
`int` `getColumnNumber()`
`Throwable` `getDetail()`
`int` `getLineNumber()`
`void` `printStackTrace()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### detail

    protected Throwable detail

### row

    protected int row

### column

    protected int column

Constructor Detail

### XmlPullParserException

    public XmlPullParserException(String s)

### XmlPullParserException

    public XmlPullParserException(String msg,
                                  XmlPullParser parser,
                                  Throwable chain)

Method Detail

### getDetail

    public Throwable getDetail()

### getLineNumber

    public int getLineNumber()

### getColumnNumber

    public int getColumnNumber()

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `Throwable`